#include <iostream>

using namespace std;

int main()
{
    double x1, x2, y1, y2;
    cin>>x1>>y1>>x2>>y2;
    if(x1-x2==0 || y1-y2==0)
        cout<<2;
    else{
        if(((y1-y2)/(x1-x2))==1.0)
            cout<<1;
        else
            cout<<0;
    }
    return 0;
}